Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredData Class Reference

`#include <vtkStructuredData.h>`

Inheritance diagram for vtkStructuredData:

[legend]
Collaboration diagram for vtkStructuredData:

[legend]
List of all members.

## Detailed Description

abstract class for topologically regular data

Date:
  2002/12/26 18:24:22

Revision:
  1.57

vtkStructuredData is an abstract class that specifies an interface for topologically regular data. Regular data is data that can be accessed in rectangular fashion using an i-j-k index. A finite difference grid, a volume, or a pixmap are all considered regular.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (79%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkStructuredData.cxx)`
  - .`h` (`/Common/vtkStructuredData.h)`

Definition at line 57 of file vtkStructuredData.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStructuredData * | SafeDownCast (vtkObject *o)
int | GetDataDimension (int dataDescription)
void | GetPointCells (vtkIdType ptId, vtkIdList *cellIds, int dim[3])
int | SetDimensions (int inDim[3], int dim[3])
int | SetExtent (int inExt[6], int ext[6])
void | GetCellPoints (vtkIdType cellId, vtkIdList *ptIds, int dataDescription, int dim[3])
void | GetCellNeigbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds, int dim[3])
vtkIdType | ComputePointId (int dim[3], int ijk[3])
vtkIdType | ComputeCellId (int dim[3], int ijk[3])
## Protected Methods
| vtkStructuredData ()
| ~vtkStructuredData ()

## Member Typedef Documentation

typedef vtkObject vtkStructuredData::Superclass

| Reimplemented from vtkObject. Definition at line 60 of file vtkStructuredData.h.

## Constructor & Destructor Documentation

vtkStructuredData::vtkStructuredData | ( |  | ) | `[inline, protected]`

| Definition at line 106 of file vtkStructuredData.h.

vtkStructuredData::~vtkStructuredData | ( |  | ) | `[inline, protected]`

| Definition at line 107 of file vtkStructuredData.h.

## Member Function Documentation

virtual const char* vtkStructuredData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkStructuredData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkStructuredData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkStructuredData* vtkStructuredData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

int vtkStructuredData::SetDimensions | ( | int | inDim[3],
|  | int | dim[3]
| ) | `[static]`

| Specify the dimensions of a regular, rectangular dataset. The input is the new dimensions (inDim) and the current dimensions (dim). The function returns the dimension of the dataset (0-3D). If the dimensions are improperly specified a -1 is returned. If the dimensions are unchanged, a value of 100 is returned.

int vtkStructuredData::SetExtent | ( | int | inExt[6],
|  | int | ext[6]
| ) | `[static]`

| Specify the dimensions of a regular, rectangular dataset. The input is the new dimensions (inDim) and the current dimensions (dim). The function returns the dimension of the dataset (0-3D). If the dimensions are improperly specified a -1 is returned. If the dimensions are unchanged, a value of 100 is returned.

int vtkStructuredData::GetDataDimension | ( | int | dataDescription | ) | `[static]`

| Return the topological dimension of the data (e.g., 0, 1, 2, or 3D). Referenced by vtkStructuredGrid::GetDataDimension(), vtkRectilinearGrid::GetDataDimension(), and vtkImageData::GetDataDimension().

void vtkStructuredData::GetCellPoints | ( | vtkIdType | cellId,
|  | vtkIdList * | ptIds,
|  | int | dataDescription,
|  | int | dim[3]
| ) | `[static]`

| Get the points defining a cell. (See vtkDataSet for more info.) Referenced by vtkRectilinearGrid::GetCellPoints(), and vtkImageData::GetCellPoints().

void vtkStructuredData::GetPointCells | ( | vtkIdType | ptId,
|  | vtkIdList * | cellIds,
|  | int | dim[3]
| ) | `[static]`

| Get the cells using a point. (See vtkDataSet for more info.) Referenced by vtkStructuredGrid::GetPointCells(), vtkRectilinearGrid::GetPointCells(), and vtkImageData::GetPointCells().

void vtkStructuredData::GetCellNeigbors | ( | vtkIdType | cellId,
|  | vtkIdList * | ptIds,
|  | vtkIdList * | cellIds,
|  | int | dim[3]
| ) | `[static]`

| Get the cells using the points ptIds, exclusive of the cell cellId. (See vtkDataSet for more info.)

vtkIdType vtkStructuredData::ComputePointId | ( | int | dim[3],
|  | int | ijk[3]
| ) | `[inline, static]`

| Given a location in structured coordinates (i-j-k), and the dimensions of the structured dataset, return the point id. Definition at line 94 of file vtkStructuredData.h. References vtkIdType. Referenced by vtkRectilinearGrid::ComputePointId(), and vtkImageData::ComputePointId().

vtkIdType vtkStructuredData::ComputeCellId | ( | int | dim[3],
|  | int | ijk[3]
| ) | `[inline, static]`

| Given a location in structured coordinates (i-j-k), and the dimensions of the structured dataset, return the cell id. Definition at line 101 of file vtkStructuredData.h. References vtkIdType. Referenced by vtkRectilinearGrid::ComputeCellId(), and vtkImageData::ComputeCellId().

The documentation for this class was generated from the following file:

- Common/vtkStructuredData.h